<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="mapper.utic.dwdb.collect.OPER">

    <select id="findAllLinkTrafOPER" resultType="com.utic.center.utic.traf.server.dto.LinkCollectDto" parameterType="com.utic.center.utic.traf.server.dto.LinkCollectParam" fetchSize="2000" timeout="60">
        <![CDATA[
        SELECT a.LINKID AS linkId,
               0        AS crtPriority,
               'O'      AS missValueYn,
               'O'      AS dataResType,
               'C00'    AS centerId,
               a.SPEED  AS speed
        FROM TRAFFIC_OPERATOR@DWDB A, LINK@DWDB B
        WHERE SYSDATE BETWEEN A.START_DATE AND A.END_DATE
          AND A.APPLY_YN  = 'Y'
          AND A.LINKID    = B.LINKID
          AND B.LINKLEVEL = '1'
        ]]>
    </select>

</mapper>
